/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ColumnDescription } from "./ColumnDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class DateTimeColumnDescription extends ColumnDescription {
    constructor() {
        super();
        this.cu = null;
        this.cv = null;
    }
    get_type() {
        return "DateTimeColumn";
    }
    get dateTimeFormat() {
        return this.cu;
    }
    set dateTimeFormat(a) {
        this.cu = a;
        this.e("DateTimeFormat");
    }
    get formatOverrideRef() {
        return this.cv;
    }
    set formatOverrideRef(a) {
        this.cv = a;
        this.e("FormatOverrideRef");
    }
}
DateTimeColumnDescription.$t = markType(DateTimeColumnDescription, 'DateTimeColumnDescription', ColumnDescription.$);
